Subject: bug#22494: still can't search for two spaces

From: Eli Zaretskii <[email-masked]>
Date: Wed, 03 Feb 2016 17:28:11 +0200

> From: John Wiegley <[email-masked]>
> Date: Tue, 02 Feb 2016 22:45:41 -0800
> Cc: [email-masked], [email-masked], [email-masked], [email-masked]
> 
> If the user types something into the search string, and exactly that something
> is present in the buffer, Emacs should locate it before any "lax" variant.

Of course, with the way it works in Emacs, there's no "before".
There's either this or that: either Emacs finds only the literal
matches, or it finds both literal and lax matches.  If the latter, the
first literal or lax match after point will be the first one found,
even if it's a lax match and there's a literal match farther away.